io.agora.rtc

## Class DefaultAgoraMediaPlayerSourceObserver

- java.lang.Object
- - io.agora.rtc.DefaultAgoraMediaPlayerSourceObserver

- All Implemented Interfaces:
    IAgoraMediaPlayerSourceObserver

      public class DefaultAgoraMediaPlayerSourceObserver
      extends java.lang.Object
      implements IAgoraMediaPlayerSourceObserver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAgoraMediaPlayerSourceObserver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAgoraCDNTokenWillExpire(AgoraMediaPlayerSource agora_media_player_source)`
    `void` | `onAudioVolumeIndication(AgoraMediaPlayerSource agora_media_player_source, int volume)`
    `void` | `onCompleted(AgoraMediaPlayerSource agora_media_player_source)`
    `void` | `onMetaData(AgoraMediaPlayerSource agora_media_player_source, byte[] data, int length)`
    `void` | `onPlayBufferUpdated(AgoraMediaPlayerSource agora_media_player_source, long play_cached_buffer)`
    `void` | `onPlayerEvent(AgoraMediaPlayerSource agora_media_player_source, int event, long elapsedTime, java.lang.String message)`
    `void` | `onPlayerInfoUpdated(AgoraMediaPlayerSource agora_media_player_source, PlayerUpdatedInfo info)`
    `void` | `onPlayerSourceStateChanged(AgoraMediaPlayerSource agora_media_player_source, int state, int ec)`
    `void` | `onPlayerSrcInfoChanged(AgoraMediaPlayerSource agora_media_player_source, SrcInfo from, SrcInfo to)`
    `void` | `onPositionChanged(AgoraMediaPlayerSource agora_media_player_source, long position)`
    `void` | `onPreloadEvent(AgoraMediaPlayerSource agora_media_player_source, java.lang.String src, int event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAgoraMediaPlayerSourceObserver

          public DefaultAgoraMediaPlayerSourceObserver()

  - ### Method Detail

    - #### onPlayerSourceStateChanged

          public void onPlayerSourceStateChanged(AgoraMediaPlayerSource agora_media_player_source,
                                                 int state,
                                                 int ec)

      Specified by:
        `onPlayerSourceStateChanged` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onPositionChanged

          public void onPositionChanged(AgoraMediaPlayerSource agora_media_player_source,
                                        long position)

      Specified by:
        `onPositionChanged` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onPlayerEvent

          public void onPlayerEvent(AgoraMediaPlayerSource agora_media_player_source,
                                    int event,
                                    long elapsedTime,
                                    java.lang.String message)

      Specified by:
        `onPlayerEvent` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onMetaData

          public void onMetaData(AgoraMediaPlayerSource agora_media_player_source,
                                 byte[] data,
                                 int length)

      Specified by:
        `onMetaData` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onPlayBufferUpdated

          public void onPlayBufferUpdated(AgoraMediaPlayerSource agora_media_player_source,
                                          long play_cached_buffer)

      Specified by:
        `onPlayBufferUpdated` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onPreloadEvent

          public void onPreloadEvent(AgoraMediaPlayerSource agora_media_player_source,
                                     java.lang.String src,
                                     int event)

      Specified by:
        `onPreloadEvent` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onCompleted

          public void onCompleted(AgoraMediaPlayerSource agora_media_player_source)

      Specified by:
        `onCompleted` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onAgoraCDNTokenWillExpire

          public void onAgoraCDNTokenWillExpire(AgoraMediaPlayerSource agora_media_player_source)

      Specified by:
        `onAgoraCDNTokenWillExpire` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onPlayerSrcInfoChanged

          public void onPlayerSrcInfoChanged(AgoraMediaPlayerSource agora_media_player_source,
                                             SrcInfo from,
                                             SrcInfo to)

      Specified by:
        `onPlayerSrcInfoChanged` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onPlayerInfoUpdated

          public void onPlayerInfoUpdated(AgoraMediaPlayerSource agora_media_player_source,
                                          PlayerUpdatedInfo info)

      Specified by:
        `onPlayerInfoUpdated` in interface `IAgoraMediaPlayerSourceObserver`

    - #### onAudioVolumeIndication

          public void onAudioVolumeIndication(AgoraMediaPlayerSource agora_media_player_source,
                                              int volume)

      Specified by:
        `onAudioVolumeIndication` in interface `IAgoraMediaPlayerSourceObserver`